# Markdown形式のファイルパスを取得し配列に格納する
mdpath=($(find ./ -name "*.md"))

# カウンタ
cnt=0

# 配列でループ
for mdfile in ${mdpath[@]}; do
# 拡張子をhtmlに変換する
htfile=$(echo $mdfile | sed -e "s|\.md|.html|")

# ファイルの更新日時を比較する
if [ $mdfile -nt $htfile ]; then
# mdが新しければPandocでHTML生成
pandoc $mdfile -s -V lang=ja -V title="かくも無数のカシス" --title-prefix="かくも無数のカシス" -t HTML5 --self-contained -c main.css --email-obfuscation=javascript -o $htfile

# 変換したファイル数をカウント
# cnt=`expr $cnt+1`
# 変換したファイル名を表示
echo $mdfile "to" $htfile
fi
done

# 結果表示
# echo "markdown to html: " $cnt "files"
echo "done"
